Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024887
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-10-04 13:112013-10-17 18:30
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision0c27670081cc
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024887: Bad perfromance in BPLoc query

DescriptionWith high volume of BP the performace of query to get BPLocations is very bad.
Steps To ReproduceLog in in web pos with lots of BP
Proposed Solutionredesign the query. It was done recently for BPartner query.

Attached a possible solution.

TagsNo tags attached.
Attached Filesdiff file icon diffPerformanceBPLoc.diff [^] (7,017 bytes) 2013-10-04 13:11 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061555)
hgbot (developer)
2013-10-04 15:14

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0c27670081cc97b0b1984d8bb708fb1d9f80fe12
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Oct 04 15:14:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^]

fixed issue 24887: fixed permormance problem in BPlocations query

---
M src/org/openbravo/retail/posterminal/master/BPLocation.java
---
(0061605)
hgbot (developer)
2013-10-08 11:42

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 0c27670081cc97b0b1984d8bb708fb1d9f80fe12
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Oct 04 15:14:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^]

fixed issue 24887: fixed permormance problem in BPlocations query

---
M src/org/openbravo/retail/posterminal/master/BPLocation.java
---
(0061616)
guilleaer (developer)
2013-10-08 11:44

reclosing
(0061699)
hgbot (developer)
2013-10-16 13:38

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 0c27670081cc97b0b1984d8bb708fb1d9f80fe12
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Fri Oct 04 15:14:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^]

fixed issue 24887: fixed permormance problem in BPlocations query

---
M src/org/openbravo/retail/posterminal/master/BPLocation.java
---
(0061784)
guilleaer (developer)
2013-10-17 18:30

reclosed

- Issue History
Date Modified Username Field Change
2013-10-04 13:11 guilleaer New Issue
2013-10-04 13:11 guilleaer Assigned To => guilleaer
2013-10-04 13:11 guilleaer File Added: diffPerformanceBPLoc.diff
2013-10-04 13:11 guilleaer Triggers an Emergency Pack => No
2013-10-04 15:14 hgbot Checkin
2013-10-04 15:14 hgbot Note Added: 0061555
2013-10-04 15:14 hgbot Status new => resolved
2013-10-04 15:14 hgbot Resolution open => fixed
2013-10-04 15:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^]
2013-10-04 17:03 marvintm Review Assigned To => marvintm
2013-10-04 17:03 marvintm Status resolved => closed
2013-10-04 17:03 marvintm Fixed in Version => RMP27
2013-10-08 11:42 hgbot Checkin
2013-10-08 11:42 hgbot Note Added: 0061605
2013-10-08 11:42 hgbot Status closed => resolved
2013-10-08 11:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^]
2013-10-08 11:44 guilleaer Note Added: 0061616
2013-10-08 11:44 guilleaer Status resolved => closed
2013-10-16 13:38 hgbot Checkin
2013-10-16 13:38 hgbot Note Added: 0061699
2013-10-16 13:38 hgbot Status closed => resolved
2013-10-16 13:38 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/0c27670081cc97b0b1984d8bb708fb1d9f80fe12 [^]
2013-10-17 18:30 guilleaer Note Added: 0061784
2013-10-17 18:30 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker